package sprzedaz.obiektowo;

import java.math.BigDecimal;
import java.util.List;

public class A2_SumaWybranegoMiasta {

	public static void main(String[] args) {
		List<Transakcja> lista = ObslugaCSV.wczytaj("sprzedaz.csv");
		
		BigDecimal suma = BigDecimal.ZERO;
		for(Transakcja transakcja : lista) {
			if("Katowice".equals(transakcja.getMiasto())) {
				suma = suma.add(transakcja.getWartosc());
			}
		}		
		System.out.println("Suma łączna: " + suma);
	}

}
